# Class RcsbFvContextManager<T, R, S, U>

rxjs Event Handler Object. It allows objects to subscribe methods and then, get(send) events to(from) other objects

#### Type Parameters

- #### T

- #### R

- #### S

- #### U

#### Hierarchy

- RcsbFvContextManager

- Defined in RcsbFvContextManager/RcsbFvContextManager.ts:24

#####
Index

### Constructors

constructor

### Properties

subject

### Methods

next
subscribe
unsubscribeAll

## Constructors

### constructor

- new RcsbFvContextManager<T, R, S, U>(): RcsbFvContextManager<T, R, S, U>

- #### Type Parameters

  - #### T

  - #### R

  - #### S

  - #### U

  #### Returns RcsbFvContextManager<T, R, S, U>

## Properties

### `Private` `Readonly` subject

subject: Subject<RcsbFvContextManagerInterface<T, R, S, U>> = ...

- Defined in RcsbFvContextManager/RcsbFvContextManager.ts:25

## Methods

### next

- next(obj: RcsbFvContextManagerInterface<T, R, S, U>): void

- Call other subscribed methods

  #### Parameters

  - ##### obj: RcsbFvContextManagerInterface<T, R, S, U>

    Event Data Structure Interface

  #### Returns void

  - Defined in RcsbFvContextManager/RcsbFvContextManager.ts:29

### subscribe

- subscribe(f: ((x: RcsbFvContextManagerInterface<T, R, S, U>) => void)): Subscription

- Subscribe loadMethod

  ### Returns

  Subscription

  #### Parameters

  - ##### f: ((x: RcsbFvContextManagerInterface<T, R, S, U>) => void)

    - - (x: RcsbFvContextManagerInterface<T, R, S, U>): void

      - #### Parameters

        - ##### x: RcsbFvContextManagerInterface<T, R, S, U>

        #### Returns void

  #### Returns Subscription

  - Defined in RcsbFvContextManager/RcsbFvContextManager.ts:35

### unsubscribeAll

- unsubscribeAll(): void

- Unsubscribe all methods

  #### Returns void

  - Defined in RcsbFvContextManager/RcsbFvContextManager.ts:39

Generated using TypeDoc